Skip to main content
POST
/
interaction-events
Create interaction event
curl --request POST \
  --url https://api.finpace.tech/interaction-events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "eventId": "<string>",
  "channel": "<string>",
  "interactionType": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "customerId": "<string>"
}
'
{
  "eventId": "<string>",
  "channel": "<string>",
  "interactionType": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "customerId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.finpace.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
eventId
string
required
channel
string
required
interactionType
string
required
timestamp
string<date-time>
required
customerId
string

Response

200 - application/json

OK

eventId
string
required
channel
string
required
interactionType
string
required
timestamp
string<date-time>
required
customerId
string